package com.hzya.frame.sys.dataSource.dao;

import com.hzya.frame.sys.dataSource.entity.SysDataSourceEntity;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sys.dataSource.entity.SysDataSourceVo;

import java.util.List;

/**
 * 数据源表(sys_data_source: table)表数据库访问层
 *
 * @author makejava
 * @since 2023-09-05 16:07:01
 */
public interface ISysDataSourceDao extends IBaseDao<SysDataSourceEntity, String> {

    List<SysDataSourceVo> queryVoList(SysDataSourceEntity entity);
    int queryVoList_COUNT(SysDataSourceEntity entity);

    Integer entity_count_not_id(SysDataSourceEntity checkEntity);

    List<SysDataSourceVo> queryDSBase(SysDataSourceEntity entity);
}

